Name:       node-gyp
Version:    0.4.1
Release:    1%{?dist}
Summary:    Node.js native addon build tool
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/TooTallNate/node-gyp
Source0:    http://registry.npmjs.org/node-gyp/-/node-gyp-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Provides:   nodejs-node-gyp

BuildRequires:  nodejs-devel

%if !(0%{?fedora} >= 17)
Requires:       nodejs
Requires:       nodejs-ansi >= 0.1.0
Requires:       nodejs-glob >= 3.1.9
Requires:       nodejs-fstream nodejs-minimatch
Requires:       nodejs-mkdirp nodejs-nopt nodejs-request nodejs-rimraf
Requires:       nodejs-semver nodejs-tar nodejs-which
%endif

%description
node-gyp is a cross-platform command-line tool written in Node.js for compiling
native addon modules for Node.js, which takes away the pain of dealing with the
various differences in build platforms. It is the replacement to the node-waf
program which is removed for node v0.8.

%prep
%setup -q -n package

%nodejs_fixshebang bin/node-gyp.js

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/node-gyp
cp -pr bin lib legacy package.json %{buildroot}%{nodejs_libdir}/node-gyp

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/nodejs/node-gyp/bin/node-gyp.js %{buildroot}%{_bindir}/node-gyp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/node-gyp
%{_bindir}/node-gyp
%doc README.md

%changelog
* Wed Apr 18 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.1-1
- New upstream release 0.4.1

* Fri Apr 06 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.11-1
- New upstream release 0.3.11

* Mon Apr 02 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.10-1
- New upstream release 0.3.10

* Thu Mar 29 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.9-1
- New upstream release 0.3.9

* Wed Mar 28 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-1
- new upstream release 0.3.8

* Thu Mar 22 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.7-1
- new upstream release 0.3.7

* Thu Mar 15 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.5-1
- initial package
